@echo off
REM This program interfaces with LYNX for telnet via KERMIT.
REM It assumes that MSKERMIT.INI and MSCUSTOM.INI are properly installed.
REM Put the path to the directory holding the MSKERMIT initialization
REM files after the keyword "PATH" in the "kermit" environment variable.
set kermit=PATH %dosdir%\lynx\kermit
if not exist %dosdir%\lynx\kermit\bare.ini goto start
echo copy %dosdir%\lynx\kermit\bare.ini %dosdir%\lynx\kermit\mscustom.ini
echo COMMENT - TCP/IP network configuration. >> %dosdir%\lynx\kermit\mscustom.ini
echo ; To use TCP/IP connections, replace the dummy values below with appropriate >> %dosdir%\lynx\kermit\mscustom.ini
echo ; values for your network (consult your network manager) and uncomment the 
 >> %dosdir%\lynx\kermit\mscustom.ini
echo SET >> %dosdir%\lynx\kermit\mscustom.ini
echo ; TCP/IP commands.  Better yet, just SET TCP/IP ADDRESS BOOTP, period. >> %dosdir%\lynx\kermit\mscustom.ini
echo ; >> %dosdir%\lynx\kermit\mscustom.ini
echo SET TCP/IP ADDRESS \%my_ip%      ; My PC's numeric IP address >> %dosdir%\lynx\kermit\mscustom.ini
echo SET TCP/IP SUBNETMASK \%netmask%     ; My physical network's subnet mask >> %dosdir%\lynx\kermit\mscustom.ini
echo ; SET TCP/IP DOMAIN %domain%       ; My network's domain name >> %dosdir%\lynx\kermit\mscustom.ini
echo SET TCP/IP GATEWAY \%gateway%      ; My network gateway's IP address >> %dosdir%\lynx\kermit\mscustom.ini
echo SET TCP/IP PRIMARY-NAMESERVER %nameserver%    ; Primary 
 >> %dosdir%\lynx\kermit\mscustom.ini
echo nameserver's address >> %dosdir%\lynx\kermit\mscustom.ini
echo SET TCP/IP SECONDARY-NAMESERVER your_nameserver_IP_address  ; fallback 
 >> %dosdir%\lynx\kermit\mscustom.ini
echo nameserver address >> %dosdir%\lynx\kermit\mscustom.ini
echo ; SET TCP/IP BROADCAST: %netmask% ; My network's broadcast address >> %dosdir%\lynx\kermit\mscustom.ini
echo SET TCP/IP MSS 512 ; maximum segment size, sets MTU 552 >> %dosdir%\lynx\kermit\mscustom.ini
echo ; SET TCP/IP MSS 1460 ; maximum segment size, sets MTU 1500  >> %dosdir%\lynx\kermit\mscustom.ini
echo ; TELNET macro for making TCP/IP connections. >> %dosdir%\lynx\kermit\mscustom.ini
echo ; "TELNET <ip-host-name-or-address>" makes a new TCP/IP connection. >> %dosdir%\lynx\kermit\mscustom.ini
echo ; "TELNET" (by itelf) resumes the current TCP/IP connection. >> %dosdir%\lynx\kermit\mscustom.ini
echo ;   \%1 = IP host name or address >> %dosdir%\lynx\kermit\mscustom.ini
echo ;   \%2 = TCP port >> %dosdir%\lynx\kermit\mscustom.ini
echo ;   \%3 = terminal type (optional) >> %dosdir%\lynx\kermit\mscustom.ini
:start
echo kermit telnet %1 %2
if exist %dosdir%\lynx\kermit\bare.ini del %dosdir%\lynx\kermit\mscustom.ini
:end
echo set kermit=
